Results 1 to 6 of 6
Like Tree1Likes
  • 1 Post By Misj'
  1. Blaby's Avatar
    Posts
    27 Posts
    Global Posts
    40 Global Posts
       #1  
    Hi, no Advanced System Menus patch works on my Pre 2 (WebOS 2.2.4). Neither does Advanced Configuration for App Launcher work. Neither does Advanced Configuration for System Preferences - WORLD work.

    I get to install the Framework via WOSQI, but with this error:

    4 out of 37 hunks FAILED -- saving rejects to file usr/lib/luna/system/luna-systemui/app/controllers/bar-assistant.jsjsjs.$rej$
    1 out of 6 hunks FAILED -- saving rejects to file usr/lib/luna/system/luna-systemui/stylesheets/systemui.css.rej
    What is the problem? I would like to be able to use advanced patches on my phone.

    Thank you.
    Last edited by Blaby; 03/17/2019 at 07:39 PM.
  2. #2  
    Normally this implies that you are using either a version of the application that is not compatible with the patch, or that you have another patch that affected the same code these patches do; as a result the changes cannot be applied as the .diff cannot (safely) match the file found.
    Blaby likes this.
  3. Blaby's Avatar
    Posts
    27 Posts
    Global Posts
    40 Global Posts
       #3  
    Quote Originally Posted by Misj' View Post
    Normally this implies that you are using either a version of the application that is not compatible with the patch, or that you have another patch that affected the same code these patches do; as a result the changes cannot be applied as the .diff cannot (safely) match the file found.
    Hi, thanks for your response. It's nice to find active users in this forum after so long.

    What application do you mean? Do you mean the operating system version?

    I have deleted all the related patches (those that could cause conflict), so I do not think the problem is the fault of another patch.

    I think that most likely these patches (the "Advanced" patches) are not fully compatible with WebOS 2.2.4. Someone can confirm it?
  4. Blaby's Avatar
    Posts
    27 Posts
    Global Posts
    40 Global Posts
       #4  
    Quote Originally Posted by Misj' View Post
    Normally this implies that you are using either a version of the application that is not compatible with the patch, or that you have another patch that affected the same code these patches do; as a result the changes cannot be applied as the .diff cannot (safely) match the file found.
    My installed patches are the following:

    Ad Blocker
    Advanced Reset Options - ES
    Advanced System Menus - Mode Menu
    Advanced System Menus - Power Menu
    Advanced System Menus - Today Menu

    Alarm Daily Options
    Battery Percent and Horizontal Icon
    Buttah
    Device Profile Service Override
    Faster Card Animations HYPER Version
    Google Sync Behaviors Patch
    Google sync fix for https
    Launch Mode Switcher on Luna Booot
    Mojo Tap Responsiveness
    Muffle System Logging
    Quiet powerd Messages
    Remove Dropped Packet Logging
    Uber Cycling Email Dashboard
    UberCalendar
    UberCalendar Multilingual Localization
    Unset CFQ IO Scheduler
    Unthrottle Download Manager
    youtube-quality-fix224-v2theoneillfix2
    ysync
    Last edited by Blaby; 03/19/2019 at 04:13 PM.
  5. Blaby's Avatar
    Posts
    27 Posts
    Global Posts
    40 Global Posts
       #5  
    I just installed this patch that adds an icon to the top bar. This patch tampo works on my phone. It seems that my phone does not like visually intrusive modifications.

    https://preware.pivotce.com/package/...er-switch-icon
  6. Blaby's Avatar
    Posts
    27 Posts
    Global Posts
    40 Global Posts
       #6  
    Solved! I uninstalled all the patches that could add visible elements to the system. I also ditched all the patches that did not work. I uninstalled all the themes. And I also uninstalled the applications that added some visible element to the system (for example, a new battery icon).

    Then I installed the Advanced patches one by one. Except for two, which I think are the ones that caused me problems in the beginning:

    Advanced Configuration for App Launcher
    Advanced Configuration for System Preferences

    These two patches I did not find in the Preware application, but I installed them with WOSQI. When installing them, WOSQI informed me of a lot of errors (many more than usual). It seems that these two patches were the first that the developer sconix created, left them outdated and focused on working in Advanced patches that did the same but independently. That is, many patches (one for emails, one for messages, another for contacts, etc.) instead of one for everything.

Similar Threads

  1. Who uses their Pre these days?
    By ShaneBunting in forum HP Pre 3
    Replies: 36
    Last Post: 04/18/2019, 08:53 AM
  2. No longer able to click on different google results
    By jasondoes in forum webOS Development
    Replies: 6
    Last Post: 03/25/2019, 08:38 PM
  3. Google Map by 72KA not working on my Pre 3
    By Mekuz in forum HP Pre 3
    Replies: 0
    Last Post: 03/06/2019, 02:38 PM
  4. after erase & reset, no power on
    By Diane Cast in forum HP TouchPad
    Replies: 4
    Last Post: 02/24/2019, 04:51 PM
  5. Odd case of "no signal"
    By scott0999 in forum LG webOS TV
    Replies: 0
    Last Post: 02/17/2019, 09:55 AM

Posting Permissions